Skip to main content
`Ctrl`+`K`

# MATHTOOL

“htool” - A matrix type for hierarchical matrices using the Htool package. Use `./configure --download-htool` to install PETSc to use Htool.

## Options Database Key

- -mat_type htool - matrix type to `MATHTOOL`

## See Also

Matrices, `Mat`, `MATH2OPUS`, `MATDENSE`, `MatCreateHtoolFromKernel()`, `MatHtoolSetKernel()`

## Level

beginner

## Location

src/mat/impls/htool/htool.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages